petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatLUFactorNumeric

Performs numeric LU factorization of a matrix. Call this routine after first calling MatLUFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatLUFactorNumeric(Mat fact,Mat mat,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor() Many br
| mat | - the matrix Many br
| info | - options for factorization Many br

### Notes

See MatLUFactor() for in-place factorization. See Many brMatCholeskyFactorNumeric() for the symmetric, positive definite case. Many br

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatLUFactorSymbolic(), MatLUFactor(), MatCholeskyFactor()

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages